petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGASMSetUseDMSubdomains

Indicates whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Logically Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetUseDMSubdomains(PC pc,PetscBool flg)

### Input Parameter

| pc | - the preconditioner Many br
| flg | - boolean indicating whether to use subdomains defined by the DM Many br

### Options Database Key

-pc_gasm_dm_subdomains -pc_gasm_overlap -pc_gasm_total_subdomains Many br

Many br

### Notes

PCGASMSetSubdomains(), PCGASMSetTotalSubdomains() or PCGASMSetOverlap() take precedence over PCGASMSetUseDMSubdomains(), Many brso setting PCGASMSetSubdomains() with nontrivial subdomain ISs or any of PCGASMSetTotalSubdomains() and PCGASMSetOverlap() Many brautomatically turns the latter off. Many br

### Keywords

PC, ASM, DM, set, subdomains, additive Schwarz

### See Also

PCGASMGetUseDMSubdomains(), PCGASMSetSubdomains(), PCGASMSetOverlap()
PCGASMCreateSubdomains2D() Many br

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages